View Issue Details

IDProjectCategoryView StatusLast Update
0005578Kali Linux[All Projects] Feature Requestspublic2019-07-08 08:52
ReporterRoseDeSableAssigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version 
Summary0005578: Metasploit: Handler for Android-Payload cannot bind listening port - my actual version: Framework Version: 5.0.34-dev
DescriptionHello,
 the following problem exists since the last update for metasploit and only for the android payload. At the time before allthing went good. The handler for windows meterpeter is functioning. Here the failure for android:

*] Processing /root/metasploit/skripts/taba6.rc for ERB directives.
resource (/root/metasploit/skripts/taba6.rc)> cd /root/metasploit/test_ergebnisse/taba6
resource (/root/metasploit/skripts/taba6.rc)> use multi/handler
resource (/root/metasploit/skripts/taba6.rc)> set payload android/meterpreter/reverse_https
payload => android/meterpreter/reverse_https
resource (/root/metasploit/skripts/taba6.rc)> set LHOST 11.0.0.1
LHOST => 11.0.0.1
resource (/root/metasploit/skripts/taba6.rc)> set LPORT 9444
LPORT => 9444
resource (/root/metasploit/skripts/taba6.rc)> set LURI galaxy_tab_a6
LURI => galaxy_tab_a6
resource (/root/metasploit/skripts/taba6.rc)> set SessionCommunicationTimeout 30
SessionCommunicationTimeout => 30
resource (/root/metasploit/skripts/taba6.rc)> run
[-] Handler failed to bind to 11.0.0.1:9444
[-] Handler failed to bind to 0.0.0.0:9444
[-] Exploit failed [bad-config]: Rex::BindFailed The address is already in use or unavailable: (0.0.0.0:9444).
[*] Exploit completed, but no session was created.

Best Regards
Rose

Activities

sbrun

2019-07-05 09:58

manager   ~0010763

I think it's not specific to Kali but it's an upstream issue. It looks like :
https://github.com/rapid7/metasploit-framework/issues/12037 or
https://github.com/rapid7/metasploit-framework/issues/12046

If you think your issue has not been reported yet, please report it upstream:
https://github.com/rapid7/metasploit-framework/issues

FYI new version 5.0.35-0kali1 will be uploaded in Kali today

RoseDeSable

2019-07-08 05:45

reporter   ~0010767

The problem is exact like written at point 12037 in Github. After updating on Framework Version 5.0.35-dev this morning the problem is solved.

Thanks
Rose

sbrun

2019-07-08 08:52

manager   ~0010768

Thanks for your feedback.
fixed in version 5.0.35

Issue History

Date Modified Username Field Change
2019-07-04 07:01 RoseDeSable New Issue
2019-07-05 09:58 sbrun Note Added: 0010763
2019-07-08 05:45 RoseDeSable Note Added: 0010767
2019-07-08 08:52 sbrun Assigned To => sbrun
2019-07-08 08:52 sbrun Status new => resolved
2019-07-08 08:52 sbrun Resolution open => fixed
2019-07-08 08:52 sbrun Note Added: 0010768